#! /usr/local/bin/perl
#
# area_index_db ɬפʾɽ CGI
#
# $Id: view-areaindexdb.cgi,v 1.1 2013/09/25 09:02:40 p0269 Exp $
# $Source: /home/cvs/diminish/cc-driver/mi-contdb/usr/wvgs/web/mihari/rctool/cgi-bin/view-areaindexdb.cgi,v $

use strict;
use Data::Dumper;
use File::Basename;

use lib "/usr/wvgs/lib/perl-lib";
use lib "/usr/wvgs/lib/scripts/ebase_local";

use RccUtil;
use RccHtml;
use HaneDBCtrl;

require 'ccswservernamelist.ph';

my $DB_HOST = &getActiveDbServer;
my $HANEDB_HOST = &getActiveHaneDbServer;
my $DB_NAME = "area_index_db";
my $DB_USER = "wvgs";

my $CGI_NAME = basename ($0);

# obj
my $html = new RccHtml;
my $db = new HaneDBCtrl ('Pg', $DB_NAME, $DB_USER, $DB_HOST);
#my $db = new HaneDBCtrl ('Pg', $DB_NAME, $DB_USER, $HANEDB_HOST);

# param
my $mode = $html->param ('mode', '');

# var
my ($ans, $tbl, @col, $col, $where, $opt, $s, $head);

my %TYPE = (
              1 => "̶",
              2 => "Ӷ",
           );

if ($mode =~ /PM2P5MASTER_TBL/i){
	my $cust_id = $html->param ('customer_id', undef);

	$tbl = "area_index_pm2p5master_tbl";
	@col = qw(point_code point_name point_type address latitude longitude);

	if (defined $cust_id){
		$where = "customer_id=$cust_id";
	}else{
		$where = undef;
	}

	$opt = "order by point_code";

	$col = join (",", @col);
	$ans = $db->Select ($tbl, $col, $where, $opt);
	undef $db;

	$head = "<tr height=25 class='TBL_HEAD_S'><td>¬ɥ</td>"
		. "<td>¬̾</td><td>¬ɼ</td><td></td>"
		. "<td></td><td></td></tr>\n";

	my $i = 0;
	$s = "<table border=0 cellpadding=2 cellspacing=2>\n";

	foreach my $c (@$ans){
		$s .= $head if ($i % 20 == 0);

                my $op_type = $TYPE{$c->[2]};
                my $lat = $c->[4] / 10000;
                my $lon = $c->[5] / 10000;
		my $style = ($i % 2) ? "TBL_ODD_S" : "TBL_EVEN_S";
		$s .= sprintf ("<tr class='%s'><td>%s</td><td>%s</td>"
			. "<td>%s</td><td>%s</td><td>%s</td><td>%s</td>"
			. "</tr>\n"
			, $style, $c->[0], $c->[1], $op_type, $c->[3], $lat, $lon);
		$i++;
	}
	$s .= "</table>\n";

	print $html->server_response;
	print $html->meta_http_equiv;

print <<"EOD";

<html>
<head>
<title>¬ɰ</title>
<link rel="stylesheet" href="../css/standard.css" type="text/css">
</head>

<body>
$s
</body>
</html>
EOD

}
else{
	print $html->server_response;
	print $html->meta_http_equiv;
	print "<html>...</html>\n";
}

exit (0);

