#!/usr/bin/perl

#require "/usr/wvgs/web/mihari/test/send_setting/send_setting.ph";
require "/usr/wvgs/web/mihari/rctool/lib/send_setting.ph";
use lib "/usr/wvgs/lib/perl-lib";
use strict;
use warnings;
no warnings qw(once);
use File::Basename;
use Time::Local;
use logging;

my $DEBUG = 0;

my ( $myname, $mydir, $suffix );
BEGIN{
  ( $myname, $mydir, $suffix ) = fileparse( "$0", '\.[^.]+' );
}

my $tmpdir = "/usr/wvgs/wktmp";
my $logdir = "/usr/wvgs/log/area_index";
my $log = logging->Open("$logdir/$myname.log");

END{
    $log->Close() if(defined $log);
}

my $send_file = $ARGV[0];
my $mode = $ARGV[1];
my $target = $ARGV[2];

my $arg_num = @ARGV;
  if($arg_num < 2){
  usage();
  exit;
}

if( !defined($send_file) || !-f $send_file){
  $log->Error("Error:no send file\n"); 
  exit 1;
}

if ($mode eq "" ){
  #&usage();
  $log->Error("send mode is empty.\n");
  exit 1;
}

my $send_host = $SENDCONF::SEND_HOST;


$log->Info("File: $send_file\n");

# create announced 
my ( $sec, $min ,$hour ,$day, $mon, $year ) = gmtime(time);
my $ru_date = sprintf("%04d/%02d/%02d %02d:%02d:%02d GMT",$year+1900,$mon+1,$day,$hour,$min,$sec );

$log->Info("header_date: $ru_date\n");

my $header_comment = "";
if ( $mode eq "custini") {
  # customer_ini,customer_list.csv
  my $tmp = "dir=%s;type=$mode";
  my $dir = "/usr/wvgs/etc/customer/dim"; 
  $header_comment = sprintf($tmp,$dir);
  $header_comment .= ";id=%s";

}elsif($mode eq "custlist"){
  # passwd_ini
  my $tmp = "dir=%s;type=$mode";
  my $dir = "/usr/wvgs/etc/customer"; 
  $header_comment = sprintf($tmp,$dir);

}elsif($mode eq "passwd"){
  # passwd_ini
  my $tmp = "dir=%s;type=$mode";
  my $dir = "/usr/wvgs/etc/customer"; 
  $header_comment = sprintf($tmp,$dir);

}elsif($mode eq "dblist"){
  # alert-db list
  my $tmp = "dir=%s;type=$mode;target_system=%s";
  my $dir = "/usr/wvgs/etc";
#  my $target = "alert-db0,alert-db1-vmg,alert-db2-vmg,alert-db3-vmg";
  my $target = "$target";
  $header_comment = sprintf($tmp,$dir,$target);

}else{
  $log->Error("mode is not defined. :$mode\n");
  exit 1;
}


$log->Info("header_comment: $header_comment\n");

#my $tarfile = "$tmpdir/$myname.tar.$$";
#$log->Info("$SENDCONF::TAR_CMD -cf $tarfile $send_file >/dev/null2>&1\n");
#system("$SENDCONF::TAR_CMD -cf $tarfile  $send_file >/dev/null 2>&1");
my $tarfile = $send_file;

my $file_size = -s "$tarfile";

my $loginid;
if($mode eq "custini"){
  my $res = `$SENDCONF::TAR_CMD -tf $tarfile`;
  chomp $res;
  $res =~ /customer\.ini\.ALERT\.(.*)$/;
  $loginid = $1;
  $header_comment = sprintf($header_comment,$loginid);
}

my $header = sprintf($SENDCONF::RU_HEADER,$ru_date,$ru_date,$file_size,$header_comment);

open(FH,"<","$tarfile"); 
my $data = join("",<FH>);
close(FH);

my $tmpfile = "$tmpdir/$myname.$$";
open(FH,">",$tmpfile,);
#system("cat $send_file.tar.$$ > send_test.dat");
print FH "$header";
print FH "$SENDCONF::DELIM";
print FH "$data";
close (FH);

$send_host = "localhost" if($DEBUG);

$log->Info("$SENDCONF::ADDCAREER $tmpfile $SENDCONF::NELSON_ID $tmpfile.am >/dev/null 2>&1\n");
system("$SENDCONF::ADDCAREER $tmpfile $SENDCONF::NELSON_ID $tmpfile.am >/dev/null 2>&1");
$log->Info("$SENDCONF::AMDELIVER $send_host $tmpfile.am >/dev/null 2>&1\n");
system("$SENDCONF::AMDELIVER $send_host $tmpfile.am >/dev/null 2>&1");

#unlink ($tarfile);
unlink ($tmpfile);
unlink ("$tmpfile.am");

sub usage {
#print "usage: send_setting.pl <send_file> <mode> <target_alertdb>\n";
print "usage: send_setting.pl <send_tar_file> <mode> <target_alertdb>\n";
print "   mode: custini custlist passwd dblist\n"; 
}

