#!/usr/bin/perl

require "/usr/wvgs/web/mihari/test/send_setting/send_setting.ph";

use strict;
use warnings;
no warnings qw(once);
use Time::Local;

my $send_file = $ARGV[0];
my $send_host = $ARGV[1];
my $mode = $ARGV[2];

my $arg_num = @ARGV;
  if($arg_num != 3){
  usage();
  exit;
}

if(!-f $send_file){
  print STDERR "Error:no send file\n";
  exit 1;
}

if ($mode eq "" ){
  &usage();
  exit 1;
}

if ( $send_host !~ /^pt-/ ){
  print STDERR "not dev.\n";
  exit 1;
}

# create announced 
my ( $sec, $min ,$hour ,$day, $mon, $year ) = gmtime(time);
my $ru_date = sprintf("%04d/%02d/%02d %02d:%02d:%02d GMT",$year+1900,$mon+1,$day,$hour,$min,$sec );

my $header_comment = "";
if ( $mode eq "custini") {
  # customer_ini
  my $tmp = "dir=%s;type=$mode";
  my $dir = "/usr/wvgs/etc/customer/dim"; 
  $header_comment = sprintf($tmp,$dir);
  $header_comment .= ";id=%s";

}elsif($mode eq "custlist"){
  #customer_list.csv
  my $tmp = "dir=%s;type=$mode";
  my $dir = "/usr/wvgs/etc/customer"; 
  $header_comment = sprintf($tmp,$dir);

}elsif($mode eq "passwd"){
  # passwd_ini
  my $tmp = "dir=%s;type=$mode";
  my $dir = "/usr/wvgs/etc/customer"; 
  $header_comment = sprintf($tmp,$dir);

}elsif($mode eq "dblist"){
  # alert-db list
  my $tmp = "dir=%s;type=$mode;target_system=%s";
  my $dir = "/usr/wvgs/etc";
#  my $target = "alert-db0,alert-db1-vmg,alert-db2-vmg,alert-db3-vmg";
  my $target = "DB1";
  $header_comment = sprintf($tmp,$dir,$target);

}else{
   &usage();
   exit 1; 
}


#system("$SENDCONF::TAR_CMD -cf $send_file.tar.$$ $send_file");

my $file_size = -s "$send_file";

my $loginid;
if($mode eq "custini"){
  my $res = `$SENDCONF::TAR_CMD -tf $send_file`;
  chomp $res;
  $res =~ /customer\.ini\.ALERT\.(.*)$/;
  $loginid = $1;
  $header_comment = sprintf($header_comment,$loginid);
}


my $header = sprintf($SENDCONF::RU_HEADER,$ru_date,$ru_date,$file_size,$header_comment);

open(FH,"<","$send_file"); 
my $data = join("",<FH>);
close(FH);

my $tmp_file = "send_setting.dat";
open(FH,">",$tmp_file,);
#system("cat $send_file.tar.$$ > send_test.dat");
print FH "$header";
print FH "$SENDCONF::DELIM";
print FH "$data";
close (FH);


system("$SENDCONF::ADDCAREER $tmp_file $SENDCONF::NELSON_ID $tmp_file.am");
system("$SENDCONF::AMDELIVER $send_host $tmp_file.am");

#unlink ("$send_file.tar.$$");
sub usage {

print "usage: send_setting.pl <send_file> <send_host> <mode>\n";
print "   mode:\n";
print "   custini custlist passwd dblist\n"; 
}

